<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.AssetLoaderWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_asset_loader_window.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_asset_loader_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.AssetLoaderWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the asset loader UI component.  
 <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Samples.AssetLoaderWindow:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_asset_loader_window.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0fa32d7d9b100901a6c632e48d612ae0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a0fa32d7d9b100901a6c632e48d612ae0">HandleEvent</a> (string animationName)</td></tr>
<tr class="memdesc:a0fa32d7d9b100901a6c632e48d612ae0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html" title="Represents an animation entry UI component.">AnimationText</a>.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a0fa32d7d9b100901a6c632e48d612ae0">More...</a><br /></td></tr>
<tr class="separator:a0fa32d7d9b100901a6c632e48d612ae0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b6841a981c3681305be2112d7e5df39"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a9b6841a981c3681305be2112d7e5df39">HandleBlendEvent</a> (SkinnedMeshRenderer skinnedMeshRenderer, int index, float value)</td></tr>
<tr class="memdesc:a9b6841a981c3681305be2112d7e5df39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html">BlendShapeControl</a>.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a9b6841a981c3681305be2112d7e5df39">More...</a><br /></td></tr>
<tr class="separator:a9b6841a981c3681305be2112d7e5df39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b565ad1926d65db706b0c82b536510c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a9b565ad1926d65db706b0c82b536510c">DestroyItems</a> ()</td></tr>
<tr class="memdesc:a9b565ad1926d65db706b0c82b536510c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys all objects in the containers.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a9b565ad1926d65db706b0c82b536510c">More...</a><br /></td></tr>
<tr class="separator:a9b565ad1926d65db706b0c82b536510c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9709209c32a8f42a0e10b9a04b56b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a1d9709209c32a8f42a0e10b9a04b56b2">LoadFromBrowserFiles</a> (int filesCount)</td></tr>
<tr class="memdesc:a1d9709209c32a8f42a0e10b9a04b56b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads the model from browser files.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a1d9709209c32a8f42a0e10b9a04b56b2">More...</a><br /></td></tr>
<tr class="separator:a1d9709209c32a8f42a0e10b9a04b56b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3b7322cef940f01917162c3554308bd8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a3b7322cef940f01917162c3554308bd8">Async</a></td></tr>
<tr class="memdesc:a3b7322cef940f01917162c3554308bd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to enable async loading.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a3b7322cef940f01917162c3554308bd8">More...</a><br /></td></tr>
<tr class="separator:a3b7322cef940f01917162c3554308bd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a626c2485513253dd4fe7c0341d2800a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a626c2485513253dd4fe7c0341d2800a6">Awake</a> ()</td></tr>
<tr class="memdesc:a626c2485513253dd4fe7c0341d2800a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes variables.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a626c2485513253dd4fe7c0341d2800a6">More...</a><br /></td></tr>
<tr class="separator:a626c2485513253dd4fe7c0341d2800a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3b965d606882bb0c14fdb94b19b34ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#ac3b965d606882bb0c14fdb94b19b34ec">Update</a> ()</td></tr>
<tr class="memdesc:ac3b965d606882bb0c14fdb94b19b34ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Spins the loaded Game Object if options are enabled.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#ac3b965d606882bb0c14fdb94b19b34ec">More...</a><br /></td></tr>
<tr class="separator:ac3b965d606882bb0c14fdb94b19b34ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a575e970a2d85c605331ba47215d914f2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html">AssetLoaderWindow</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a575e970a2d85c605331ba47215d914f2">Instance</a><code> [get]</code></td></tr>
<tr class="memdesc:a575e970a2d85c605331ba47215d914f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class singleton.  <a href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html#a575e970a2d85c605331ba47215d914f2">More...</a><br /></td></tr>
<tr class="separator:a575e970a2d85c605331ba47215d914f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the asset loader UI component. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a626c2485513253dd4fe7c0341d2800a6" name="a626c2485513253dd4fe7c0341d2800a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a626c2485513253dd4fe7c0341d2800a6">&#9670;&nbsp;</a></span>Awake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.Awake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes variables. </p>

</div>
</div>
<a id="a9b565ad1926d65db706b0c82b536510c" name="a9b565ad1926d65db706b0c82b536510c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b565ad1926d65db706b0c82b536510c">&#9670;&nbsp;</a></span>DestroyItems()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.DestroyItems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destroys all objects in the containers. </p>

</div>
</div>
<a id="a9b6841a981c3681305be2112d7e5df39" name="a9b6841a981c3681305be2112d7e5df39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b6841a981c3681305be2112d7e5df39">&#9670;&nbsp;</a></span>HandleBlendEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.HandleBlendEvent </td>
          <td>(</td>
          <td class="paramtype">SkinnedMeshRenderer&#160;</td>
          <td class="paramname"><em>skinnedMeshRenderer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_blend_shape_control.html">BlendShapeControl</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">skinnedMeshRenderer</td><td>Skinned Mesh Renderer to set the blend shape.</td></tr>
    <tr><td class="paramname">index</td><td>Blend Shape index.</td></tr>
    <tr><td class="paramname">value</td><td>Blend Shape value.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0fa32d7d9b100901a6c632e48d612ae0" name="a0fa32d7d9b100901a6c632e48d612ae0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fa32d7d9b100901a6c632e48d612ae0">&#9670;&nbsp;</a></span>HandleEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.HandleEvent </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>animationName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_animation_text.html" title="Represents an animation entry UI component.">AnimationText</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">animationName</td><td>Chosen animation name.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1d9709209c32a8f42a0e10b9a04b56b2" name="a1d9709209c32a8f42a0e10b9a04b56b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d9709209c32a8f42a0e10b9a04b56b2">&#9670;&nbsp;</a></span>LoadFromBrowserFiles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.LoadFromBrowserFiles </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>filesCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads the model from browser files. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filesCount</td><td>Browser files count.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac3b965d606882bb0c14fdb94b19b34ec" name="ac3b965d606882bb0c14fdb94b19b34ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3b965d606882bb0c14fdb94b19b34ec">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.AssetLoaderWindow.Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Spins the loaded Game Object if options are enabled. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3b7322cef940f01917162c3554308bd8" name="a3b7322cef940f01917162c3554308bd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b7322cef940f01917162c3554308bd8">&#9670;&nbsp;</a></span>Async</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool TriLib.Samples.AssetLoaderWindow.Async</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Turn on this field to enable async loading. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a575e970a2d85c605331ba47215d914f2" name="a575e970a2d85c605331ba47215d914f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a575e970a2d85c605331ba47215d914f2">&#9670;&nbsp;</a></span>Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html">AssetLoaderWindow</a> TriLib.Samples.AssetLoaderWindow.Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Class singleton. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_asset_loader_window_8cs.html">AssetLoaderWindow.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_asset_loader_window.html">AssetLoaderWindow</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
